package com.fizz.business.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fizz.business.domain.PdiSetups;


/**
 * 生产计划的参数详情Service接口
 *
 * @author Joshi
 * @date 2025-09-25
 */
public interface IPdiSetupService extends IService<PdiSetups>
{
    /**
     * 查询张力参数列表
     */
    List<PdiSetups> selectPdiSetupList(PdiSetups pdiSetup);

    /**
     * 按 id 查询
     */
    PdiSetups selectPdiSetupById(Long id);

    /**
     * 新增
     */
    Boolean insertPdiSetup(PdiSetups pdiSetup);

    /**
     * 按 id 更新
     */
    Boolean updatePdiSetup(PdiSetups pdiSetup);

    /**
     * 按 id 批量删除
     */
    Boolean deletePdiSetupByIds(Long[] ids);
}

